# engenius

nfc library for engenius pay as you go, libreria nfc para sistemas prepago de energia Engenius.

## Instalación:

https://pub.dev/packages/engenius


### **Funciones**

1. **Engenius.habilitar:**

Función encargada de habilitar el NFC dentro de la aplicación habilitando los eventos generados por la detección de la Tarjeta.

**Parámetros:** Ninguno


**Respuesta:** Si la función retorna &quot;true&quot;, se habilitaron los eventos NFC, si retorna &quot;false&quot;, el dispositivo no tiene capacidad para NFC.

1. **Engenius.leerEnviar():**

Función encargada de leer la tarjeta, enviar la información y responder los datos del usuario.

**Parámetros:** Ninguno

**Respuesta:** Array de 6 posiciones donde cada posición representa un valor de la siguiente forma:

  1. Posición 0: Nombre de Usuario
  2. Posición 1: Documento del Usuario
  3. Posición 2: Tipo de Instalación
  4. Posición 3: fecha Ultima recarga
  5. Posición 4: Valor a Pagar
  6. Posición 5: Id tarjeta(Necesario para el paso de recarga).

1. **Engenius.recargar():**

Función encargada de solicitar la recarga al servidor y escribir la tarjeta.

**Parámetros:**

  1. Id tarjeta: String, Valor obtenido en la función leer, index 5 del vector.
  2. Valor Pagado: Int, Valor debitado de la cuenta del usuario o valor recargado.
  3. Contraseña: String, Valor definido por engenius(Para pruebas usar: &quot;123456789&quot;).
  4. Usuario: String, Valor definido por engenius(Para pruebas usar: &quot;Desarrollador&quot;).


**Respuesta:** Si la recarga y escritura se realizaron correctamente retorna &quot;true&quot;, si ocurrió algún problema retorna &quot;false&quot;.

Para verificar el funcionamiento se dispuso de una app de flutter dos en el siguiente repositorio que ya cuenta con las funciones implementadas.

https://github.com/Engenius-SAS/engenius_demo_flutter